> ## Documentation Index
> Fetch the complete documentation index at: https://camelai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Databricks connection

> Create a new Databricks SQL warehouse connection using a Personal Access Token and SQL Warehouse HTTP path.



## OpenAPI

````yaml https://api.camelai.com/api/schema/ post /api/v1/sources/add/databricks/
openapi: 3.0.3
info:
  title: camelAI API
  version: 1.0.0 (v1)
  description: API for camelAI - AI-powered data analytics platform
servers:
  - url: https://api.camelai.com
    description: camelAI API server
security: []
paths:
  /api/v1/sources/add/databricks/:
    post:
      tags:
        - sources
      summary: Add Databricks connection
      description: >-
        Create a new Databricks SQL warehouse connection using a Personal Access
        Token and SQL Warehouse HTTP path.
      operationId: sources_add_databricks_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DatabricksConnectionRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    description: The ID of the created connection
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                  errors:
                    type: object
                    description: Field-specific validation errors
          description: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DatabricksConnectionRequest:
      type: object
      description: Serializer for Databricks SQL Warehouse connections.
      properties:
        type:
          type: string
          minLength: 1
          description: Connection type identifier. Must be `DATABRICKS`
        account_name:
          type: string
          minLength: 1
          default: Databricks
          description: Display name for the connection
        server_hostname:
          type: string
          minLength: 1
          description: Workspace hostname (e.g. adb-1234567890.1.azuredatabricks.net)
          maxLength: 255
        http_path:
          type: string
          minLength: 1
          description: SQL Warehouse HTTP path
          maxLength: 500
        access_token:
          type: string
          writeOnly: true
          minLength: 1
          description: Personal Access Token with permission to query the warehouse
          maxLength: 4096
        catalog:
          type: string
          description: Optional Unity Catalog to use by default
        selected_schemas:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 255
          description: >-
            Schemas to index. Accepts either `schema` or `catalog.schema`
            entries.
      required:
        - access_token
        - http_path
        - server_hostname
        - type
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer scheme

````